StatementsLayouts
/statements/layouts/{id}
Update Statement Layout
Authorization
apiKey X-API-Key<token>
API key provided in dashboard
In: header
Path Parameters
id*string
Request Body
application/json
name?string
summaryType?string|null
activeListingIds?|null
isDefault?boolean|null
showTeamEmail?boolean|null
netRevenueSections?
otherSections?
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.vrplatform.app/statements/layouts/string" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "string",
"summaryType": "default",
"isDefault": true,
"showTeamEmail": true,
"netRevenueSections": [
{
"id": "string",
"name": "string",
"locked": true,
"visible": "all",
"aggregate": true,
"columns": [
{
"id": "string",
"name": "string",
"locked": true,
"visible": "all",
"type": "field",
"value": "string"
}
]
}
],
"otherSections": [
{
"id": "string",
"name": "string",
"locked": true,
"visible": "all",
"columns": [
{
"id": "string",
"name": "string",
"locked": true,
"visible": "all",
"type": "field",
"value": "string"
}
]
}
],
"id": "string",
"version": -9007199254740991,
"activeListings": [
{
"id": "string",
"name": "string"
}
],
"linkedAccounts": [
{
"id": "string",
"name": "string",
"uniqueRef": "string",
"status": "active"
}
],
"createdAt": "string",
"systemSections": [
{
"id": "string",
"name": "string",
"locked": true,
"visible": "all",
"columns": [
{
"id": "string",
"name": "string",
"locked": true,
"visible": "all",
"type": "field",
"value": "string"
}
]
}
]
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}{
"code": "string",
"message": "string",
"issues": [
{
"message": "string"
}
],
"context": null
}